Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2040 - aic7-xxx.c does not work properly.
Summary: aic7-xxx.c does not work properly.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-07 19:17 UTC by davis
Modified: 2008-03-06 19:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 20:20:04 UTC


Attachments (Terms of Use)

Description davis 1999-04-07 19:17:39 UTC
In the kernel from Red Hat, 2.0.36-3, & the 2.0.36 on the
5.2 linux CD, the scsi driver aic7-xxx.c, version 5.1.4,
does not work properly for the AIC-7880 SCSI controller.

2 Problems: (1) SCSI Bus Timeout when mounting cdrom, ... in
             fact, the installer does not work from the CD.

	    (2) kernel source 2.0.36, obtained from ftp site
    	    linux.us.kernel.org; the scsi bus continually
	    times out when loaded with this kernel.

Solution:   There is a patch available from ASL Workstations
	    for this driver.  Perhaps Red Hat should patch
	    their 2.0.36 kernel, or, at the very least make
	    it available.

	    In my case, this problem has cost me about 5-7
	    days since tech support never returns the
	    emails.  Especially, since the tech support is
	    so unresponsive, you should consider making it
	    available to that people can just help
	    themselves and not get stuck waiting for some
	    support person who will never show up.

Comment 1 David Lawrence 1999-04-08 20:20:59 UTC
I was able to get this to fail using the stock boot disk that shipped
with 5.2. After obtaining the updated boot image that contained the
aic7xxx fix (ftp://updates.redhat.com/5.2/images/i386/boot.img) The
install worked fine with the configuration in question. Then after
following the directions also posted to our errata page I rebooted
the  machine and was able to access the cdrom and hard drive without
error. The instructions are available at
http://www.redhat.com/support/docs/rhl/rh52-errata-general.html#kernel.


Note You need to log in before you can comment on or make changes to this bug.